Package org.openoffice.da.comp.writer2latex

# Class DeTeXtive

java.lang.Object
org.openoffice.da.comp.writer2latex.DeTeXtive

public class DeTeXtive extends Object
This class analyzes a stream and detects if it is a TeX stream. Currently it is able to identify LaTeX and XeLaTeX (ConTeXt and plain TeX may be added later).

## Constructor Summary

Constructors
Constructor
Description
`DeTeXtive()`
Construct a new DeTeXtive

## Method Summary

Modifier and Type
Method
Description
`String`
`deTeXt(InputStream is)`
Detect the format of a given stream

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DeTeXtive

public DeTeXtive()
Construct a new DeTeXtive

## Method Details

### deTeXt

public String deTeXt(InputStream is) throws IOException
Detect the format of a given stream

Parameters:
  `is` - the input stream
Returns:
  a string representing the detected format; null if the format is unknown. Currently the values "LaTeX", "XeLaTeX" are supported.
Throws:
  `IOException` - if we fail to read the stream